%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

# (cg) Cheater...
%define Werror_cflags %nil

# (aco) Needed for the dri drivers
%define _disable_ld_no_undefined 1

# freeglut should replace mesaglut soon
%define with_mesaglut 1

%define git 0
%define relc			0
%define	name			mesa
%define version			7.10.2
%define rel			4

%define release			%mkrel %{rel}
%define src_type tar.bz2
%define vsuffix			%{expand:}

%if %{relc}
%define release			%mkrel 0.rc%{relc}.%{rel}
%define vsuffix -rc%{relc}
%define src_type tar.bz2
%endif

%if %{git}
%if %{relc}
%define release			%mkrel 0.rc%{relc}.2.git%{git}.%{rel}
%else
%define release			%mkrel 0.git%{git}.%{rel}
%endif
%endif

%define makedepend		%{_bindir}/gccmakedep

%define eglname			mesaegl
%define glname			mesagl
%define gluname			mesaglu
%define glutname		mesaglut
%define glwname			mesaglw
%define glesv1name		mesaglesv1
%define glesv2name		mesaglesv2
%define openvgname		mesaopenvg

%define eglmajor		1
%define glmajor			1
%define glumajor		1
%define glutmajor		3
%define glwmajor		1
%define glesv1major		1
%define glesv2major		2
%define openvgmajor		1

%define libeglname              %mklibname %{eglname} %{eglmajor}
%define libglname		%mklibname %{glname} %{glmajor}
%define libgluname		%mklibname %{gluname} %{glumajor}
%define libglutname		%mklibname %{glutname} %{glutmajor}
%define libglwname		%mklibname %{glwname} %{glwmajor}
%define libglesv1name		%mklibname %{glesv1name}_ %{glesv1major}
%define libglesv2name		%mklibname %{glesv2name}_ %{glesv2major}
%define libopenvgname		%mklibname %{openvgname} %{openvgmajor}

%define dridrivers		%mklibname dri-drivers

# Architecture-independent Virtual provides:
%define libeglname_virt		lib%{eglname}
%define libglname_virt		lib%{glname}
%define libgluname_virt		lib%{gluname}
%define libglutname_virt	lib%{glutname}
%define libglwname_virt		lib%{glwname}
%define libglesv1name_virt	lib%{glesv1name}
%define libglesv2name_virt	lib%{glesv2name}
%define libopenvgname_virt	lib%{openvgname}

%define oldlibglname		%mklibname MesaGL 1
%define oldlibgluname		%mklibname MesaGLU 1
%define oldlibglutname		%mklibname Mesaglut 3

%define mesasrcdir		%{_prefix}/src/Mesa/
%define driver_dir		%{_libdir}/dri

%define enable_egl		1

#FIXME: (for 386/485) unset SSE, MMX and 3dnow flags
#FIXME: (for >=i586)  disable sse
#       SSE seems to have problem on some apps (gtulpas) for probing.
%define	dri_drivers_i386	"i810,i915,i965,mga,mach64,nouveau,r128,r200,r300,r600,radeon,savage,sis,unichrome,tdfx,swrast"
%define	dri_drivers_x86_64	%{dri_drivers_i386}
%define	dri_drivers_ppc		"mach64,r128,r200,r300,radeon,tdfx,swrast"
%define	dri_drivers_ppc64	""
%define	dri_drivers_ia64	"i810,i915,i965,mga,r128,r200,radeon,swrast"
%define	dri_drivers_alpha	"mga,r128,r200,radeon,swrast"
%define	dri_drivers_sparc	"ffb,mach64,mga,radeon,savage,swrast"
%define dri_drivers_mipsel	"mach64,mga,r128,r200,radeon,savage,tdfx,swrast"
%define dri_drivers_arm		"swrast"
%define	dri_drivers		%{expand:%{dri_drivers_%{_arch}}}

Name:		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	OpenGL 2.1 compatible 3D graphics library
Group:		System/Libraries

BuildRequires:	libxfixes-devel		>= 4.0.3
BuildRequires:	libxt-devel		>= 1.0.5
BuildRequires:	libxmu-devel		>= 1.0.3
BuildRequires:	libx11-devel		>= 1.3.3
BuildRequires:	libxdamage-devel	>= 1.1.1
BuildRequires:	libexpat-devel		>= 2.0.1
BuildRequires:	gccmakedep
BuildRequires:	x11-proto-devel		>= 7.3
BuildRequires:	libdrm-devel		>= 2.4.21

BuildRequires:	libxext-devel		>= 1.1.1
BuildRequires:	libxxf86vm-devel	>= 1.1.0
BuildRequires:	libxi-devel		>= 1.3
BuildRequires:	talloc-devel
BuildRequires:	libxml2-python
BuildRequires:	makedepend

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.mesa3d.org
%if %{git}
# (cg) Current commit ref: origin/mesa_7_5_branch
Source0:	%{name}-%{git}.tar.bz2
%else
Source0:	ftp://ftp.freedesktop.org/pub/mesa/%version/MesaLib-%{version}%{vsuffix}.%{src_type}
Source2:	ftp://ftp.freedesktop.org/pub/mesa/%version/MesaGLUT-%{version}%{vsuffix}.%{src_type}
%endif
Source3:	make-git-snapshot.sh
Source5:	mesa-driver-install


# Instructions to setup your repository clone
# git://git.freedesktop.org/git/mesa/mesa
# git checkout mesa_7_5_branch
# git branch mdv-cherry-picks
# git am ../02??-*.patch
# git branch mdv-redhat
# git am ../03??-*.patch
# git branch mdv-patches
# git am ../09??-*.patch

# In order to update to the branch via patches, issue this command:
# git format-patch --start-number 100 mesa_7_5_1..mesa_7_5_branch | sed 's/^0\([0-9]\+\)-/Patch\1: 0\1-/'

# Cherry picks
# git format-patch --start-number 200 mesa_7_5_branch..mdv-cherry-picks
Patch201: 0201-revert-fix-glxinitializevisualconfigfromtags-handling.patch
Patch202: 0202-fix-includes-for-latest-libdrm.patch

# Patches "liberated" from Fedora:
# http://cvs.fedoraproject.org/viewvc/rpms/mesa/devel/
# git format-patch --start-number 300 mdv-cherry-picks..mdv-redhat
Patch300: 0300-RH-mesa-7.1-nukeglthread-debug-v1.1.patch
Patch301: 0301-RH-mesa-7.1-link-shared-v1.7.patch

# Mandriva patches
# git format-patch --start-number 900 mdv-redhat..mdv-patches
Patch902: 0902-remove-unfinished-GLX_ARB_render_texture.patch
Patch903: 0903-Fix-NULL-pointer-dereference-in-viaXMesaWindowMoved.patch
Patch904:	Mesa-7.9-salome.patch

# (tmb) speeds up OpenGL on SandyBridge
Patch1000:	i965-bump-CS-thread-number-on-SNB.patch

Patch2004:     mesa_652_mips.patch

#------------------------------------------------------------------------------

# package mesa
License:	MIT
Requires:	%{libglname} = %{version}-%{release}
Provides:	hackMesa = %{version}
Obsoletes:	hackMesa <= %{version}
Provides:	Mesa = %{version}
Obsoletes:	Mesa < %{version}

%package -n	%{libglname}
Summary:	Files for Mesa (GL and GLX libs)
Group:		System/Libraries
Obsoletes:	%{oldlibglname} < 6.4
Provides:	%{oldlibglname} = %{version}-%{release}
Provides:	%{libglname_virt} = %{version}-%{release}
Requires:	%{dridrivers} >= %{version}-%{release}

# (anssi) Forces the upgrade of x11-server-common to happen before
# alternatives removal, which allows x11-server-common to grab the symlink.
Conflicts:	x11-server-common < 1.3.0.0-17

%package -n	%{dridrivers}
Summary:	Mesa DRI drivers
Group:		System/Libraries
Conflicts:	%{_lib}MesaGL1 < 7.7-5

%package -n	%{dridrivers}-experimental
Summary:	Mesa DRI - unstable experimental drivers
Group:		System/Libraries
# for dri driver directory
Requires:       %{dridrivers}

%package -n	%{libglname}-devel
Summary:	Development files for Mesa (OpenGL compatible 3D lib)
Group:		Development/C
Requires:	%{libglname} = %{version}-%{release}
Provides:	lib%{glname}-devel = %{version}-%{release}
Provides:	%{glname}-devel = %{version}-%{release}
Provides:	GL-devel
Obsoletes:	%{oldlibglname}-devel < 6.4
Provides:	%{oldlibglname}-devel = %{version}-%{release}
Provides:	libMesaGL-devel = %{version}-%{release}
Provides:	MesaGL-devel = %{version}-%{release}
Provides:	libgl-devel

%package -n	%{libgluname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries
Obsoletes:	%{oldlibgluname} < 6.4
Provides:	%{oldlibgluname} = %{version}-%{release}
Provides:	%{libgluname_virt} = %{version}-%{release}

%package -n	%{libgluname}-devel
Summary:	Development files for GLU libs
Group:		Development/C
Requires:	%{libgluname} = %{version}-%{release}
Provides:	lib%{gluname}-devel = %{version}-%{release}
Provides:	%{gluname}-devel = %{version}-%{release}
Obsoletes:	%{oldlibgluname}-devel < 6.4
Provides:	%{oldlibgluname}-devel = %{version}-%{release}
Provides:	libMesaGLU-devel = %{version}-%{release}
Provides:	MesaGLU-devel = %{version}-%{release}
Provides:	libglu-devel
# pkgconfig files moved from libgl-devel:
Conflicts:	%{libglname}-devel < 7.10.2-4

%if %{with_mesaglut}
%package -n	%{libglutname}
Summary:	Files for Mesa (glut libs)
Group:		System/Libraries
Requires:	%{libgluname} = %{version}-%{release}
Provides:	Mesa-common = %{version}-%{release} hackMesa-common = %{version}
Obsoletes:	Mesa-common <= %{version} hackMesa-common <= %{version}
Obsoletes:	%{oldlibglutname} < 6.4
Provides:	%{oldlibglutname} = %{version}-%{release}
Provides:	%{libglutname_virt} = %{version}-%{release}

%package -n	%{libglutname}-devel
Summary:	Development files for glut libs
Group:		Development/C
Requires:	%{libglutname} = %{version}-%{release} %{libgluname}-devel = %{version}-%{release}
# (gc) /usr/lib/pkgconfig/glut.pc depends on /usr/lib/pkgconfig/{x11,xmu,xi}.pc (Requires.private) and pkg-config --list-all
# goes wild without these deps
Requires:	libx11-devel libxmu-devel libxi-devel
Provides:	lib%{glutname}-devel = %{version}-%{release}
Provides:	%{glutname}-devel = %{version}-%{release}
Obsoletes:	%{oldlibglutname}-devel < 6.4
Provides:	%{oldlibglutname}-devel = %{version}-%{release}
Provides:	libMesaGLUT-devel = %{version}-%{release}
Provides:	MesaGLUT-devel = %{version}-%{release}
Provides:	libglut-devel
# pkgconfig files moved from libgl-devel:
Conflicts:	%{libglname}-devel < 7.10.2-4
%endif

%package -n	%{libglwname}
Summary:	Files for Mesa (glw libs)
Group:		System/Libraries
Provides:	Mesa-common = %{version}-%{release} hackMesa-common = %{version}
Obsoletes:	Mesa-common <= %{version} hackMesa-common <= %{version}
Provides:	%{libglwname_virt} = %{version}-%{release}

%package -n	%{libglwname}-devel
Summary:	Development files for glw libs
Group:		Development/C
Requires:	%{libglwname} = %{version}-%{release}
Provides:	lib%{glwname}-devel = %{version}-%{release}
Provides:	%{glwname}-devel = %{version}-%{release}
Provides:	libglw-devel
# pkgconfig files moved from libgl-devel:
Conflicts:	%{libglname}-devel < 7.10.2-4

%if %{enable_egl}
%package -n	%{libeglname}
Summary:	Files for Mesa (EGL libs)
Group:		System/Libraries
Provides:	%{libeglname_virt} = %{version}-%{release}

%package -n	%{libeglname}-devel
Summary:	Development files for Mesa (EGL libs)
Group:		Development/C
Requires:	%{libeglname} = %{version}-%{release}
Provides:	EGL-devel
Provides:	lib%{eglname}-devel
Provides:	%{eglname}-devel
Provides:	libegl-devel
%endif


%package -n %{libglesv1name}
Summary:	Files for Mesa (glesv1 libs)
Group:		System/Libraries
Provides:	%{libglesv1name_virt} = %{version}-%{release}

%package -n %{libglesv1name}-devel
Summary:	Development files for glesv1 libs
Group:		Development/C
Requires:	%{libglesv1name} = %{version}-%{release}
Provides:	lib%{glesv1name}-devel
Provides:	%{glesv1name}-devel
Provides:	libglesv1-devel

%package -n %{libglesv2name}
Summary:	Files for Mesa (glesv2 libs)
Group:		System/Libraries
Provides:	%{libglesv2name_virt} = %{version}-%{release}

%package -n %{libglesv2name}-devel
Summary:	Development files for glesv2 libs
Group:		Development/C
Requires:	%{libglesv2name} = %{version}-%{release}
Provides:	lib%{glesv2name}-devel
Provides:	%{glesv2name}-devel
Provides:	libglesv2-devel

%package -n %{libopenvgname}
Summary:	Files for MESA (OpenVG libs)
Group:		System/Libraries
Provides:	%{libopenvgname_virt} = %{version}-%{release}

%package -n %{libopenvgname}-devel
Summary:	Development files vor OpenVG libs
Group:		Development/C
Requires:	%{libopenvgname} = %{version}-%{release}
Provides:	lib%{openvgname}-devel
Provides:	%{openvgname}-devel
Provides:	libopenvg-devel

%package	common-devel
Summary:	Meta package for mesa devel
Group:		Development/C
Provides:	Mesa-common-devel = %{version}-%{release}
Provides:	hackMesa-common-devel = %{version}
Obsoletes:	Mesa-common-devel < %{version}
Obsoletes:	hackMesa-common-devel < %{version}
Requires:	%{libglname}-devel = %{version}
Requires:	%{libglwname}-devel = %{version}
Requires:	%{libgluname}-devel = %{version}
%if %{with_mesaglut}
Requires:	%{libglutname}-devel = %{version}
%else
Requires:	libglut-devel
%endif
Requires:	%{libeglname}-devel = %{version}
Requires:	%{libglesv1name}-devel = %{version}
Requires:	%{libglesv2name}-devel = %{version}

#------------------------------------------------------------------------------

%description
Mesa is an OpenGL 2.1 compatible 3D graphics library.

%description common-devel
Mesa common metapackage devel

%if %{enable_egl}
%description -n	%{libeglname}
Mesa is an OpenGL 2.1 compatible 3D graphics library.
EGL parts.

%description -n	%{libeglname}-devel
Mesa is an OpenGL 2.1 compatible 3D graphics library.
EGL development parts.
%endif

%description -n	%{libglname}
Mesa is an OpenGL 2.1 compatible 3D graphics library.
GL and GLX parts.

%description -n %{dridrivers}
Mesa is an OpenGL 2.1 compatible 3D graphics library.
DRI drivers.

%description -n %{dridrivers}-experimental
Mesa is an OpenGL 2.1 compatible 3D graphics library.
Experimental unstable DRI drivers.

This package contains experimental DRI drivers for NVIDIA cards, for
OpenGL acceleration with nouveau driver. These drivers are not stable
and may crash your system. Please do not report bugs encountered with
these drivers.

%description -n	%{libglname}-devel
Mesa is an OpenGL 2.1 compatible 3D graphics library.

This package contains the headers needed to compile Mesa programs.

%description -n	%{libgluname}
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%description -n	%{libgluname}-devel
This package contains the headers needed to compile programs with GLU.

%if %{with_mesaglut}
%description -n	%{libglutname}
GLUT (OpenGL Utility Toolkit) is a addon library for OpenGL programs. It
provides them utilities to define and control windows, input from the keyboard
and the mouse, drawing some geometric primitives (cubes, spheres, ...).
GLUT can even create pop-up windows.

%description -n	%{libglutname}-devel
Mesa is an OpenGL 2.1 compatible 3D graphics library.
glut parts.

This package contains the headers needed to compile Mesa programs.
%endif

%description -n	%{libglwname}
GLw adds Motif bindings to the OpenGL "canvas" (Xt/Motif/OpenGL widget code).

%description -n	%{libglwname}-devel
Mesa is an OpenGL 2.1 compatible 3D graphics library.
GLw parts.

This package contains the headers needed to compile Mesa programs.

%description -n %{libglesv1name}
OpenGL ES is a low-level, lightweight API for advanced embedded graphics using
well-defined subset profiles of OpenGL.

This package provides the OpenGL ES library version 1.

%description -n %{libglesv1name}-devel
This package contains the headers needed to compile OpenGL ES 1 programs.

%description -n %{libglesv2name}
OpenGL ES is a low-level, lightweight API for advanced embedded graphics using
well-defined subset profiles of OpenGL.

This package provides the OpenGL ES library version 2.

%description -n %{libglesv2name}-devel
This package contains the headers needed to compile OpenGL ES 2 programs.

%description -n %{libopenvgname}
OpenVG is a royalty-free, cross-platform API that provides a low-level hardware
acceleration interface for vector graphics libraries such as Flash and SVG.

%description -n %{libopenvgname}-devel
Development files for OpenVG library.

#------------------------------------------------------------------------------

%prep
%if %{git}
%setup -q -n mesa-%{git}
%else
%setup -q -n Mesa-%{version}%{vsuffix} -b2
%endif

%patch201 -p1
%patch202 -p1

%patch300 -p1
## (Anssi 03/2010) FIXME: Currently results in either missing NEEDED tag or
## NEEDED tag with '../../../../../lib/libdricore.so', while NEEDED tag of libdricore.so
## is wanted.
#%patch301 -p1

%patch902 -p1
%patch903 -p1
%patch904 -p1

%patch1000 -p1

%patch2004 -p1

chmod +x %{SOURCE5}

# for dri-drivers-experimental
cat > README.install.urpmi <<EOF
This package contains experimental DRI drivers for NVIDIA cards, for
OpenGL acceleration with nouveau driver. These drivers are not stable
and may crash your system. Please do not report bugs encountered with
these drivers.
EOF

%build
#%if %{git}
#./autogen.sh -v
#%endif

# Required by patch200:
autoreconf -vfi
%configure2_5x	--with-driver=dri \
		--with-dri-driverdir=%{driver_dir} \
		--with-dri-drivers="%{dri_drivers}" \
                --with-state-trackers=dri \
                --enable-gallium-nouveau \
%if %{enable_egl}
		--enable-egl \
%else
		--disable-egl \
%endif
		--enable-gles1 \
		--enable-gles2 \
		--enable-openvg \
%if %{with_mesaglut}
		--enable-glut
%else
		--disable-glut
%endif

# (cg) Parallel build breaks the dricore shared stuff.
make -j 1

%install
rm -rf %{buildroot}
%makeinstall_std

# (blino) hardlink libGL files in %{_libdir}/mesa
# to prevent proprietary driver installers from removing them
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mesa
pushd $RPM_BUILD_ROOT%{_libdir}/mesa
for l in ../libGL.so.*; do cp -a $l .; done
popd

%ifarch %{x86_64}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/dri
%endif

%if !%{with_mesaglut}
rm -f %{buildroot}/%{_includedir}/GL/glut.h
rm -f %{buildroot}/%{_includedir}/GL/glutf90.h
%endif

%clean
rm -fr $RPM_BUILD_ROOT

#------------------------------------------------------------------------------

%files
%defattr(-,root,root)
%doc docs/COPYING docs/README.*

%files -n %{dridrivers}
%defattr(-,root,root)
%doc docs/COPYING
%ifnarch ppc64
%dir %{_libdir}/dri
#%{_libdir}/dri/libdricore.so
%{_libdir}/dri/*_dri.so
%exclude %{_libdir}/dri/nouveau_dri.so
%ifnarch %arm %mips
%exclude %{_libdir}/dri/nouveau_vieux_dri.so
%endif
%endif

%files -n %{dridrivers}-experimental
%defattr(-,root,root)
%doc docs/COPYING
%doc README.install.urpmi
%{_libdir}/dri/nouveau_dri.so
%ifnarch %arm %mips
%{_libdir}/dri/nouveau_vieux_dri.so
%endif

%files -n %{libglname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGL.so.*
%dir %{_libdir}/mesa
%{_libdir}/mesa/libGL.so.%{glmajor}*

%files -n %{libgluname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGLU.so.%{glumajor}*

%if %{with_mesaglut}
%files -n %{libglutname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libglut.so.%{glutmajor}*
%endif

%files -n %{libglwname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGLw.so.%{glwmajor}*

%if %{enable_egl}
%files -n %{libeglname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libEGL.so.%{eglmajor}*
%dir %{_libdir}/egl
%{_libdir}/egl/egl_dri2.so
%{_libdir}/egl/egl_glx.so
%endif

%files -n %{libglesv1name}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGLESv1_CM.so.%{glesv1major}*

%files -n %{libglesv2name}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGLESv2.so.%{glesv2major}*

%files -n %{libopenvgname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libOpenVG.so.%{openvgmajor}*


%files -n %{libglname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/GL/gl.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/osmesa.h
%{_includedir}/GL/wglext.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h
%{_includedir}/GL/glx_mangle.h
%{_libdir}/libGL.so
%{_libdir}/pkgconfig/gl.pc
%{_libdir}/pkgconfig/dri.pc

#FIXME: check those headers
%{_includedir}/GL/glfbdev.h
%{_includedir}/GL/vms_x_fix.h
%{_includedir}/GL/wmesa.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/dri_interface.h

%files -n %{libgluname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_includedir}/GL/mesa_wgl.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

%if %{with_mesaglut}
%files -n %{libglutname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/GL/glut.h
%{_includedir}/GL/glutf90.h
%{_libdir}/libglut.so
%{_libdir}/pkgconfig/glut.pc
%endif

%files common-devel
%defattr(-,root,root)

%files -n %{libglwname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/GL/GLwDrawA.h
%{_includedir}/GL/GLwDrawAP.h
%{_includedir}/GL/GLwMDrawA.h
%{_includedir}/GL/GLwMDrawAP.h
%{_libdir}/libGLw.so
%{_libdir}/pkgconfig/glw.pc

%if %{enable_egl}
%files -n %{libeglname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/EGL
%{_includedir}/KHR
%{_libdir}/libEGL.so
%{_libdir}/pkgconfig/egl.pc
%endif


%files -n %{libglesv1name}-devel
%defattr(-,root,root)
%{_includedir}/GLES
%{_libdir}/libGLESv1_CM.so
%{_libdir}/pkgconfig/glesv1_cm.pc

%files -n %{libglesv2name}-devel
%defattr(-,root,root)
%{_includedir}/GLES2
%{_libdir}/libGLESv2.so
%{_libdir}/pkgconfig/glesv2.pc

%files -n %{libopenvgname}-devel
%defattr(-,root,root)
%{_includedir}/VG
%{_libdir}/libOpenVG.so
%{_libdir}/pkgconfig/vg.pc


%changelog
* Tue Apr 19 2011 tv <tv> 7.10.2-4.mga1
+ Revision: 88451
- enable EGL since OpenVG support needs EGL
- add OpenVG packages
- remove useless glew BR thus hepling bootstraping
- add OpenGL ES 1 & 2 packages (for chromium and future)
- fix possibility to disable EGL
- make egl-devel requires libegl instead of libgl
- add "generic" provides to libs
- move pkgconfig files to the right places (and add proper Conflicts)
- use %%*majors in %%files definitions
- reorder packages to reduce differences with mdv
- fix a misplaced %%endif
- remove useless tcl & texinfo BR

* Tue Apr 19 2011 tv <tv> 7.10.2-3.mga1
+ Revision: 88346
- drop commented out applying non existing patch 1001
- use %%makeinstall_std
- remove unexistent --with-demos configure option
- remove white spaces at the end of lines
- remove useless exported variables
- there are no .la files, there's nothing to perl -pi -e
- remove useless mkdir
- move some requires from libgl-devel into libglut-devel
- libgl-devel  should require libgl instead of mesa
- don't remove files that don't exist
- add with_mesaglut switch (to help future freeglut conversion)

* Sun Apr 17 2011 tmb <tmb> 7.10.2-2.mga1
+ Revision: 86949
- i965: bump VS thread number to 60 on Sandy Bridge

* Tue Apr 12 2011 tv <tv> 7.10.2-1.mga1
+ Revision: 83583
- new release

* Mon Mar 28 2011 blino <blino> 7.10.1-1.mga1
+ Revision: 78230
- nouveau: fix includes for latest libdrm (from upstream git)
- 7.10.1 (fixes dri2 with r300)

* Sun Jan 23 2011 tmb <tmb> 7.10-1.mga1
+ Revision: 35532
- update to 7.10
- drop P905 (merged)
- add BR: makedepend

* Sat Jan 15 2011 rtp <rtp> 7.9-2.mga1
+ Revision: 18133
- add bootstrap (mesa->glew->mesa)
- fix build with current libdrm
- fix build on arm

  + pterjan <pterjan>
    - Drop obsolete scriptlets
    - imported package mesa


* Sat Nov 20 2010 Paulo Andrade <pcpa@mandriva.com.br> 7.9-2mdv2011.0
+ Revision: 599080
- Add back patch to correct X Server crash in the salome package
  CCBUG: 59084

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 7.9-1mdv2011.0
+ Revision: 583170
- BuildRequires:  libxml2-python
- BuildRequires:  talloc-devel
- new release
- rediff patch 201
- drop merged patches (202 302 904 905)
- mesa-demos was split out
- bump BR on libdrm
  (we should probably have a versioned require on the binary RPM too...)

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - New version: 7.8.2

* Mon Jun 21 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-6mdv2010.1
+ Revision: 548491
- Add patch to fix an intel bug (affects glknots and other apps)

* Mon May 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-5mdv2010.1
+ Revision: 545055
- Make invesalius work again (#59269)
  CCBUG 59269

* Tue May 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-4mdv2010.1
+ Revision: 544529
+ rebuild (emptylog)

* Mon May 10 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-3mdv2010.1
+ Revision: 544433
- Sync with mesa 7.8 branch
- Add patch to work around an Intel crash
  CCBUG: 59084

* Thu Apr 29 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-2mdv2010.1
+ Revision: 540853
- Add patch that should fix bug #58580

* Mon Apr 05 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-1mdv2010.1
+ Revision: 531894
- New version: 7.8.1

* Mon Mar 29 2010 Anssi Hannula <anssi@mandriva.org> 7.8-1mdv2010.1
+ Revision: 528705
- new version 7.8
- remove patches applied in upstream release

* Thu Mar 25 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.3mdv2010.1
+ Revision: 527416
- really apply patch added in last release

* Wed Mar 24 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.2mdv2010.1
+ Revision: 527232
- fix i945 miptree pitch disagreement (fixes mdv #58248, fd.o #26966,
  patch from mesa git master (da011faf48))

* Tue Mar 23 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.1mdv2010.1
+ Revision: 526943
- new release candidate 7.8-rc2
- bump buildrequires on libx11-devel, libxext-devel, libxxf86vm-devel,
  libxi-devel (Charles A Edwards)
- bump buildrequires on libdrm (due to nouveau changes)
- fix failing assertion in gl-117 and blender (upstream bug #27034, patch
  from 7.8 git branch)
- fix build of nouveau driver with current libdrm
  (renamed-NVxxTCL_TX_GEN-definitions.patch)

* Thu Mar 18 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc1.1mdv2010.1
+ Revision: 524757
- disable link-shared (libdricore.so) patch for now due to linking
  issues, as per fedora (our problems may be different than theirs,
  though)
- new release candidate 7.8 rc1
- enable nouveau driver, in lib(64)dri-drivers-experimental package
  (fixes #57884)
- remove fedora patches intel-revert-vbl-v1.1.patch,
  mesa-7.1-disable-intel-classic-warn-v1.3.patch, no longer applied by
  fedora
- remove now unneeded DRI-modules-are-not-under-usr-X11R6-anymore.patch
  and Fix-linux-dri-so-it-can-be-used-for-all-archs-thank.patch, both
  are handled by configure script now
- remove old disabled i965 memleak patch
- clean buildroot in the beginning of install stage
- update file lists
- rediff nukeglthread-debug.patch and link-shared.patch

* Tue Mar 16 2010 Anssi Hannula <anssi@mandriva.org> 7.7-5mdv2010.1
+ Revision: 521938
- remove -fno-strict-aliasing from ARCH_FLAGS, added upstream
- remove -fno-tree-vrp from ARCH_FLAGS, fixed in gcc 4.3+
- build with normal optimization (fd.o #10224, i.e. crashes on r200, is
  likely fixed in gcc during the last 3 years)
- remove RPM_OPT_FLAGS from ARCH_FLAGS, as mesa gets the flags from
  CFLAGS now
- split DRI drivers to unversioned lib(64)dri-drivers package
  (experimental ones will go to lib(64)dri-drivers-experimental when such
   drivers will be enabled at a later time)

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 7.7-4mdv2010.1
+ Revision: 499974
- move glinfo into glxinfo package too (prevent driconf and the like to require
  the big mesa-demos)

* Sun Jan 24 2010 Anssi Hannula <anssi@mandriva.org> 7.7-3mdv2010.1
+ Revision: 495514
- split glxinfo from mesa-demos into glxinfo package (mesa-demos will
  still pull it in)

* Wed Dec 23 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.7-2mdv2010.1
+ Revision: 481772
+ rebuild (emptylog)

* Tue Dec 22 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.7-1mdv2010.1
+ Revision: 481590
- New version: 7.7

* Wed Dec 16 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.6.1-0.rc4.1mdv2010.1
+ Revision: 479548
- New version: 7.6.1-rc4

* Mon Dec 14 2009 Thierry Vignaud <tv@mandriva.org> 7.6.1-0.rc3.2mdv2010.1
+ Revision: 478455
- enable r600 3D driver too

* Fri Dec 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.6.1-0.rc3.1mdv2010.1
+ Revision: 476544
- New version: 7.6.1-rc3
  Removed applied patches

  + Thierry Vignaud <tv@mandriva.org>
    - drop requires from mesa-demos on mesa (empty package but for docs)

* Mon Oct 05 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5.2-2mdv2010.0
+ Revision: 454106
- Fix problems with r200 and r300 textures.

* Thu Oct 01 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5.2-1mdv2010.0
+ Revision: 452203
- Update to mesa 7.5.2
  Remove patch 0200 (already included in this release)

* Mon Sep 28 2009 Thierry Vignaud <tv@mandriva.org> 7.6-0.1mdv2010.0
+ Revision: 450711
- fix URL

* Sun Sep 27 2009 Anssi Hannula <anssi@mandriva.org> 7.5.1-3mdv2010.0
+ Revision: 450137
- remove duplicate libdricore.so (it already exists in /usr/lib/dri/)

  + Olivier Blin <oblin@mandriva.com>
    - merge mips changes (from Arnaud Patard)

* Thu Sep 17 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5.1-1mdv2010.0
+ Revision: 443963
- Add build fix (cherry-picked from 7.5.2 branch)
- New version: 7.5.1
- Drop upstream patches
- Do not apply master cherry-pick for now until I can research the solution more

  + Guillaume <gc@mandriva.com>
    - bump release
    - add Requires: to workaround buggy pkg-config on mismet private dependencies

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 7.5-2mdv2010.0
+ Revision: 408410
- patch 201: upstream fix for black screen (eg: mplayer -vo gl with r300 card)

* Mon Jul 20 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-1mdv2010.0
+ Revision: 398194
- Update to version 7.5

* Sun Jul 05 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc4.2.git20090705.1mdv2010.0
+ Revision: 392644
- Disable parallel make as it causes issues with the shared dricore
- Update to the latest 7.5-branch which fixes issues for intel stuff in rc4.

* Tue Jun 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-0.rc4.1mdv2010.0
+ Revision: 391020
- update to 7.5 RC4
- drop patch 101 (applied upstream)

* Thu Jun 18 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.3mdv2010.0
+ Revision: 387186
- Add upstream patch for intel memory leak (fdo#20704)
- Remove upstream patch that causes problems with compiz (fdo#20704)

* Mon Jun 08 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.2mdv2010.0
+ Revision: 383856
- Actually apply the patches I added in the last release (*sigh*)

* Sat Jun 06 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.1mdv2010.0
+ Revision: 383226
- Add upstream patch for memory leak and proposed patch from intel-gfx list
- Update to RC3

* Mon May 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-0.rc2.1mdv2010.0
+ Revision: 377047
- update to 7.5-rc2
- fix build failure
- update to 7.5-rc1
- drop patch 100 (applied upstream)

* Thu Apr 30 2009 Colin Guthrie <cguthrie@mandriva.org> 7.4.1-1mdv2010.0
+ Revision: 369157
- New version: 7.4.1
- Break egl support (it was disabled anyway)

* Thu Jan 22 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.3-1mdv2009.1
+ Revision: 332631
- New version: 7.3

* Fri Jan 16 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.3-0.20090116.1mdv2009.1
+ Revision: 330321
- Update to git tag mesa_7_3_rc2

* Sun Jan 11 2009 Christiaan Welvaart <spturtle@mandriva.org> 7.3-0.20081220.2mdv2009.1
+ Revision: 328265
- disable patch301 because it does not support r200

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 7.3-0.20081220.1mdv2009.1
+ Revision: 321330
- Update to recent git snapshot
- Liberate patches from Fedora
- Convert out patches to git for simpler management
- Drop unneeded patches

* Tue Dec 02 2008 Colin Guthrie <cguthrie@mandriva.org> 7.2-1.20081001.2mdv2009.1
+ Revision: 308947
- Build swrast after the others.. note to self: *test* after making last minute changes
- Build swrast driver explicitly

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 7.2-1.20081001.1mdv2009.1
+ Revision: 307986
- Update mesa to post-7.2 snapshot (as used by fedora)
- Adapt some patches
- Liberate some fedora patches

* Fri Aug 22 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 7.0.4-1mdv2009.0
+ Revision: 275210
- Disables i915tex dri driver.
- Update to version 7.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Make libmesagl owner of  %%{_prefix}/lib/dri on x86_64 (32 bit binaries).

* Fri May 09 2008 Lev Givon <lev@mandriva.org> 7.0.3-2mdv2009.0
+ Revision: 205304
- Add arch-independent provides to library packages.

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.3-1mdv2009.0
+ Revision: 193181
- Update to version 7.0.3.
  Also use gccmakedep instead of makedepend by default, but make it
  configurable. This should remove more than half of the compile warnings,
  due to makedepend not finding several dependencies.

* Mon Mar 10 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-5mdv2008.1
+ Revision: 183783
- Actually add patches to update documentation, version (7.0.3 rc 2), and
  add two files not available in the "official" 7.0.2 tarball.

* Mon Mar 10 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-4mdv2008.1
+ Revision: 183716
- Add bug fixes from mesa stable branch. Basically:
    git format-patch mesa_7_0_2..origin/mesa_7_0_branch
  but did not add patches that are not bug fixes, so this should be very
  close to mesa 7.0.3 rc2 without the documentation updates.
  This also has the side effect of "automatically" enabling fortran
  support, that has been asked by a user.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-3mdv2008.1
+ Revision: 153289
- Update BuildRequires.
  Needs to add xgixp and nouveau dri modules.
  Mesa 7.0.3 is expected to be released in 1 to 2 weeks, so no more changes
  to package should be done until the next release.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - stop packaging obsolete RELNOTES-[34].*

* Mon Nov 12 2007 Thierry Vignaud <tv@mandriva.org> 7.0.2-2mdv2008.1
+ Revision: 108238
- patch 60: fix build
- new release
- kill patches 44, 46, 47, 100, 101, 102 & 103 (merged upstream)
- make it --short-circuit-able

* Wed Oct 24 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-12mdv2008.1
+ Revision: 101784
- kill patch 6, now unneeded (added in 6.5-8mdv2007.0, sent by Sebastien savari):
  "static inline functions are broken on some architetures"
- remove patch 9 (fix compiling on x86_64) that I introduced in 6.5-8mdv2007.0
  since it's now unneeded

* Wed Oct 24 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-11mdv2008.1
+ Revision: 101769
- compile with -O1 since it fixes some freeze on r200 (fd.o bug #10224)
- remove suspicious patch 7 (added by boiko in 6.5-8mdv2007.0, sent by Sebastien
  savari): "in some cases radeon may have 0 bits depth"

* Tue Oct 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.0.1-10mdv2008.0
+ Revision: 94821
- adding one more patch from claudio as a fix for #34090
  (metisse/neverball crashes on mesa). It's an obvious
  fix for a crash that happens after the previous
  workaround (we now hit what appears to be an
  unrelated bug).

* Tue Oct 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.0.1-9mdv2008.0
+ Revision: 94680
- adding patch from claudio to workaround bug #34090
  (metisse/neverball crash).  It just avoids the crash until
  we have the real fix, but it's a safe workaround.

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 7.0.1-8mdv2008.0
+ Revision: 89928
- rebuild

* Tue Sep 18 2007 Anssi Hannula <anssi@mandriva.org> 7.0.1-7mdv2008.0
+ Revision: 89724
- rebuild due to package loss

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 7.0.1-6mdv2008.0
+ Revision: 79234
- mention OpenGL 2.1 support in description and summary (from JLP, #33115)

* Fri Aug 31 2007 Olivier Blin <oblin@mandriva.com> 7.0.1-5mdv2008.0
+ Revision: 76766
- restore gcc options, wrongly modified in commit 69003

* Sun Aug 26 2007 Anssi Hannula <anssi@mandriva.org> 7.0.1-4mdv2008.0
+ Revision: 71693
- remove GL.conf alternative, moved to x11-server-common

* Wed Aug 22 2007 Olivier Blin <oblin@mandriva.com> 7.0.1-3mdv2008.0
+ Revision: 69061
- fix glxinfo segfault with unichrome DRI (reported as upstream bug 12097)
- fix potential NULL dereference in unichrome (freedesktop bug 11879)

* Tue Aug 07 2007 Olivier Blin <oblin@mandriva.com> 7.0.1-2mdv2008.0
+ Revision: 59955
- add support for Intel 965GME/GLE (from upstream git)
- add support for Intel G33, Q33, and Q35 chipsets (from upstream git)
- add support for Intel 945GME (from upstream git)
- build with -fno-tree-vrp to fix r300 misrenderings/freezes
- re-enable parallel build

* Mon Aug 06 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-1mdv2008.0
+ Revision: 59341
- new release

* Tue Jun 26 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 7.0-1mdv2008.0
+ Revision: 44280
- New upstream release: 7.0
- Redid patches linux-dri-config and radeon-0depthbits
- Removed patch: google_earth: there is a DRI runtime config option to configure
  the fallback checking.

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 6.5.3-2mdv2008.0
+ Revision: 36911
- rebuild for expat

* Fri May 04 2007 Colin Guthrie <cguthrie@mandriva.org> 6.5.3-1mdv2008.0
+ Revision: 22173
- Enable i915tex driver (needs new drm/kernel bits to activate)

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New upstream release: 6.5.3

* Tue Apr 17 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-8mdv2008.0
+ Revision: 13910
- Fix some texture data corruption


* Fri Mar 30 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-7mdv2007.1
+ Revision: 149942
- Fix moving DRI windows on Matrox cards

* Wed Mar 14 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-6mdv2007.1
+ Revision: 143503
- check for the context to be valid before using it (probably fixes #29089)

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - ppc64 fixes

* Wed Jan 10 2007 Colin Guthrie <cguthrie@mandriva.org> 6.5.2-4mdv2007.1
+ Revision: 106878
- Fix demo builds on x86_64
- Fix BuildRequires
- Just use a linux-dri target for all architectures. This restores the effects of ARCH_FLAGS so this part has been reverted too.
- Build against new glproto (1.4.8)
- Add -fno-strict-aliasing to build flags as recommended by Mesa developers
- Make Mesa build system understand some extra build flags

* Tue Dec 26 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-1mdv2007.1
+ Revision: 102110
- It seems parallel building is not as good as I thought it was
- new upstream version (6.5.2)
- Re-added a patch removing an incomplete extension
- new upstream version: 6.5.1
  Highlights of this version:
   * Intel i965 support
   * New OpenGL extensions added
   * New demo program: engine
   * Many fixes and improvements in drivers

* Sun Sep 17 2006 Olivier Blin <oblin@mandriva.com> 6.5-17mdv2007.0
+ Revision: 61745
- fix crash with null context (#25555)

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - use update-alternatives

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com> 6.5-15mdv2007.0
+ Revision: 60951
- copy libGL files in _libdir/mesa instead of hardlink them (anyway, the stripping broke the hardlink), or else a rpm weirdness prevents libGL.so.1 from being there (#25553)

* Fri Sep 08 2006 Olivier Blin <oblin@mandriva.com> 6.5-14mdv2007.0
+ Revision: 60557
- hardlink libGL files in _libdir/mesa to prevent proprietary driver installers from removing them

* Tue Sep 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5-13mdv2007.0
+ Revision: 59842
- Add support for DRI on Intel i965

* Thu Aug 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5-12mdv2007.0
+ Revision: 58895
- enable tdfx for x86 and x86_64

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 6.5-11mdv2007.0
+ Revision: 57986
- ensure all GART allocations are freed on context destruction (r300)
- rediff Patch44, and really apply it (GL may finally work on r300 PCIE)

* Sat Aug 19 2006 Olivier Blin <oblin@mandriva.com> 6.5-10mdv2007.0
+ Revision: 56829
- mesa-6.5-10mdv2007.0
- fix r300 on PCIE (glxinfo now works, but GL apps still make the X server crash)

* Sat Aug 12 2006 Olivier Blin <oblin@mandriva.com> 6.5-9mdv2007.0
+ Revision: 55526
- make sure mesa-source-file-generator is executable
- make sure mesa-driver-install can be executed
- bump release
- add missing glxext.c bits in old mesa-6.5-tfp-fbconfig-attribs.patch
- rename last mesa-6.5-texture-from-pixmap-fixes.patch bits as mesa-6.5-no-ARB_render_texture.patch
- move texture_from_pixmap tokens patch in mesa-6.5-texture_from_pixmap_tokens.patch
- move tfp_entrypoints patch in mesa-6.5-tfp_entrypoints.patch (and use upstream CVS diff)
- Add attrib_list to glXBindTexImageEXT
- remove attribList from glXBindTexImageEXT prototype, it breaks the extension because of incomplete implementation

* Fri Aug 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5-8mdv2007.0
+ Revision: 48074
- remove remaining menu references
- Removed old menu entries from mesa demos.
- disable some checks making Google Earth work on r300 cards (#23854)
- Fixed a typo in previous commit
- There is no i830
- Added provides for the old mesa glu and glut devel packages (#22551)
- Many fixes for linux-dri (thanks Christiaan Welvaart)
- Enable r300 installation
- Added a more recente texture-from-pixmap-fixes patch
- Added two more patches fixing the tfp extension
- rebuild to fix compilation on x86_64
- compile mesa xdemos (glxinfo and glxgears are back).
- put a brief comment for the patches
- Adding some patches (thanks S?\195?\131?\194?\169bastien savari):
    * Fix the texture from pixmap extension implementation
    * Enable r300 support (it is experimental yet)
    * static inline functions are broken on some architetures
    * no exec stack for ELF
    * in some cases radeon may have 0 bits depth
- Added initial EGL support to the package (I left it disabled for now as it
  seems some header files are still missing)
- new upstream release: 6.5
- added a patch fixing the path where dri modules are in.
- moved old changelog to ../misc
- fixed some dependencies
- adding an updated mesa prepared to be used by the X.org 7.0

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - include %%{_includedir}/GL/svgamesa.h on %%{sunsparc}
    - add list of dri drivers to build on sparc
      indent
      fix path to demos in menu item

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix build (parallel build is broken)
    - better description of GLw too
    - better description of GLU and GLUT

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix build for ppc: do not build sis by using linux-dri-ppc make target
    - Fix build on ppc by adding svgamesa.h to filelist

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added compile fix patch for x86_64 by Thierry Vignaud

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.0.2-12mdk
- merge ppc64 build fixes from older branch

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.0.2-11mdk
- adapt rpath patch for libtool 1.5.18

* Fri Aug 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.0.2-10mdk
- gcc4 fixes
- remove obsolete libGLU hack

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.0.2-9mdk
- libtool fixes

* Sat Sep 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.0.2-8mdk
- use libtool 1.4 for now

* Sat Aug 21 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 5.0.2-7mdk
- add BuildRequires: automake1.4
- remove packager tag

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 5.0.2-6mdk
- Rebuild with new menu

* Fri Jun 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 5.0.2-5mdk
- Rebuild
- Reapply patch1

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 5.0.2-4mdk
- Rebuild again new gcc

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 5.0.2-3mdk
- Fix build against gcc 3.4
- Add patch to nuke unpackaged files (patch from Gb)

